- Qt 5.15
- Qt Quick 3D
- C++ Classes
- QQuick3D
- Qt Quick 3D | Commercial or GPLv3

# QQuick3D Class

Helper class for selecting correct surface format. More...

Header: | #include <QQuick3D>
Since: | Qt 5.15

This class was introduced in Qt 5.15.

- List of all members, including inherited members

## Static Public Members

QSurfaceFormat | idealSurfaceFormat(int samples = -1)

## Detailed Description

Lets you select a surface format that is appropriate for the application.

Usage:

     QSurfaceFormat::setDefaultFormat(QQuick3D::idealSurfaceFormat(4));

## Member Function Documentation

### `[static]` QSurfaceFormat QQuick3D::idealSurfaceFormat(int samples = -1)

Returns an ideal surface format for the platform. Optionally, samples can be specified to select the number of multisamples for antialiasing.